{# blog_intro

Intro of blog pages.

parameters:
  id: give a unique ID to every widget in the page
  style: additional css style rules for this ID
  class: set additional classes for the widget
  image: default image if blog image not present
  pages: type of pages categories or tags
  name: category or tag to list

-#}
{%include "include/widget_style.html" -%}
<div class="{{widget.class}}" id="{{widget.id}}">
  {%- set query = query_blog(categories=[widget.name], tags=[widget.name], empty_ok=True) -%}
  {%- set pages = query[iif(widget.pages == 'categories',1,2)] -%}
  {%- if pages -%}
    {%- for i in pages[widget.name] %}
      <div class="row" style="padding: 6px; margin: 20px 0px 20px 0px;">
      <div class="col-md-4">
      {%- set img = iif(i.blog.image, i.blog.image, widget.image) -%}
      {%- if img -%}
        <img src="{{get_media(img)}}" width="100%" alt="">
      {%- endif -%}
      </div>
      <div class="col-md-7">
        <p>{{i.blog.intro}}</p>
        <a href="{{ get_url(i.pagename) }}">{{ i.title }}</a>
      </div>
      </div>
      <hr>
    {%- endfor -%}
  {%- endif -%}
</div>
